#
# spec file for package imagemag (Version 4.0.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm libjpeg libz libpng libtiff povray freetype libmpeg gs_lib gs_fonts gs_fonto gs_serv

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         imagemag
Release:      0
Copyright:    1996 E. I. du Pont de Nemours and Company
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.0.8
Summary:      Image / film viewer
Source: ImageMagick-4.0.8.tar.gz
Source1: ImageMagick.images.tar.gz
Patch: ImageMagick-4.0.8.dif
%description
Image Magick allows you to view and edit images. The tools read and
write images in MIFF format. Other formats can be converted into MIFF.

Authors:
--------
    John Cristy <cristy@dupont.com>

%package -n imfilm
Summary:      Example film for ImageMagick
Group:
%description -n imfilm
An example film with a rotating DNA for demonstration of ImageMagick.
The pictures are in the directory /usr/ImageMagick/scenes.

Authors:
--------
    John Cristy <cristy@dupont.com>

%package -n impict
Summary:      Example pictures for ImageMagick
Group:
%description -n impict
Some example pictures for demonstration of ImageMagick.  The pictures are in
the directory /usr/ImageMagick/images.

Authors:
--------
    John Cristy <cristy@dupont.com>

%package -n plmagick
Version:      1.42
Summary:      perl-interface for ImageMagick
Group:
%description -n plmagick
PerlMagick is an objected-oriented Perl interface to ImageMagick.
Use the module to read, manipulate, or write an image or image sequence
from within a Perl script. This makes it suitable for Web CGI scripts.
You must have ImageMagick 4.0.8 above and Perl version 5.002 or greater
installed on your system.

Authors:
--------
    John Cristy <cristy@dupont.com>

%prep
%setup -n ImageMagick-4.0.8 -a 1
%patch
xmkmf -a
%build
cp -a ImageMagick/images/*.miff images
make all
cd PerlMagick
perl Makefile.PL
make
%install
touch /.timestamp
sleep 5
make install
make install.man
install display.ad /usr/X11R6/lib/X11/app-defaults/Display
ldconfig
( cd PerlMagick
  eval `perl -V:installarchlib`
  rm -f $installarchlib/perllocal.pod
  make install_perl
  install -d /var/adm/perl-modules
  mv $installarchlib/perllocal.pod /var/adm/perl-modules/plmagick )
( cd scenes; make -j3 )
test -f scenes/dna.72 || exit 1
( cd images; make povray.ttf )
install -d /usr/lib/ImageMagick/images
install -d /usr/doc/packages/ImageMagick/images
cp -a scenes /usr/lib/ImageMagick
cp -a images /usr/lib/ImageMagick
cp -a www /usr/doc/packages/ImageMagick
cp -a ImageMagick.html /usr/doc/packages/ImageMagick
mv /usr/lib/ImageMagick/images/*.gif /usr/doc/packages/ImageMagick/images
mv /usr/lib/ImageMagick/images/*.jpg /usr/doc/packages/ImageMagick/images
Check
%pre
#!/bin/sh
if [ -L usr/doc/packages/ImageMagick ] ; then
    rm usr/doc/packages/ImageMagick
fi
%files
%doc /usr/doc/packages/ImageMagick
/usr/X11R6/include/X11/magick
%dir /usr/lib/ImageMagick
%config /usr/X11R6/lib/X11/app-defaults/Display
/usr/X11R6/bin/animate
/usr/X11R6/bin/combine
/usr/X11R6/bin/convert
/usr/X11R6/bin/display
/usr/X11R6/bin/identify
/usr/X11R6/bin/import
/usr/X11R6/bin/mogrify
/usr/X11R6/bin/montage
/usr/X11R6/bin/xtp
/usr/X11R6/lib/libMagick.a
/usr/X11R6/lib/libMagick.so
/usr/X11R6/lib/libMagick.so.4.0
/usr/X11R6/lib/libMagick.so.4.0.8
%doc /usr/X11R6/man/man1/display.1.gz
%doc /usr/X11R6/man/man1/montage.1.gz
%doc /usr/X11R6/man/man1/import.1.gz
%doc /usr/X11R6/man/man1/animate.1.gz
%doc /usr/X11R6/man/man1/convert.1.gz
%doc /usr/X11R6/man/man1/identify.1.gz
%doc /usr/X11R6/man/man1/mogrify.1.gz
%doc /usr/X11R6/man/man1/combine.1.gz
%doc /usr/X11R6/man/man1/ImageMagick.1.gz
%doc /usr/X11R6/man/man5/quantize.5.gz
%doc /usr/X11R6/man/man4/miff.4.gz
%doc /usr/X11R6/man/man1/xtp.1.gz
%files -n imfilm
/usr/lib/ImageMagick/scenes
%files -n impict
/usr/lib/ImageMagick/images
%files -n plmagick
/var/adm/perl-modules/plmagick
%doc /usr/man/man3/Image::Magick.3pm.gz
/usr/lib/perl5/i586-linux/5.00404/auto/Image
/usr/lib/perl5/Image
/usr/lib/perl5/auto/Image

